Subject: [magma] RE: RFC 4541 Data forwarding in snooping switches

From: "Alvaro Fernandez" <[email-masked]>
Date: Tue, 12 Jun 2007 20:33:18 +0200

Hi everybody:

Section 2.1.2. of RFC 4541 says that the snooping switch must forward the data on router ports.

I  think this is a limitation to the bandwidth: it has no sense to connect more than one multicast router or more than one router interface to a switch because the limit of the traffic is the bandwidth of one interface because all the data must be forwarded to all routers.

It is so impossible to connect 5 multicast routers with 1 GBit interface to a switch and allow hosts connected to the switch to receive 5GBits of multicast because the limit is 1 GBit.

I know that the routers must forward the data coming from senders and to do it they must receive some information about the senders but it is not necessary to send all the data to all routers to inform routers that there is a new sender.

Is there any error in this conclusion?

Regards

Alvaro
_______________________________________________
magma mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/magma

---

From: John Zwiebel <[email-masked]>
Date: Tue, 12 Jun 2007 11:38:27 -0700

> Is there any error in this conclusion?

The switch doesn't know which router port is the PIM-DR

---

From: "Alvaro Fernandez" <[email-masked]>
Date: Tue, 12 Jun 2007 20:50:53 +0200

John:
 
Then there is a limitation for this reason. 
 
But the switch knows in which ports there are routers thanks to Multicast Router Discovery, the arrival of IGMP Queries or explicitly configuration (2.1.1 RFC 4541). And the limitation can be avoided in different ways.
 
Alvaro

________________________________

De: John Zwiebel [mailto:[email-masked]]
Enviado el: mar 12/06/2007 20:38
Para: Alvaro Fernandez
CC: John Zwiebel; [email-masked]
Asunto: Re: [magma] RE: RFC 4541 Data forwarding in snooping switches

---

From: Gorry Fairhurst <[email-masked]>
Date: Wed, 13 Jun 2007 07:54:21 +0100 (BST)

There are several examples why this may be needed:

* A network  wishes to deploy several upstream routers to be robust to 
link/router failure. Both routers need to track the state - but your 
assumption of bandwidth is wrong - they will figure out that the traffic 
is already present and won't forward another copy.

* You have a topology with two routers with connectivity to different 
places - so one is the best path to some sources, the other to other 
sources. They exchange PIM over the switch to discover these optimised 
paths.

IMHO, flooding to the set of router ports was a fundamental part of the 
design, and must not be changed without serious working group review.

Gorry

---

From: "Alvaro Fernandez" <[email-masked]>
Date: Wed, 13 Jun 2007 12:30:39 +0200

Gorry:

I comment your two examples:

Example 1. 

The assumption is not that two routers are forwarding the same traffic to the switch. 

Assert in PIM-SM and DR election in IGMP avoid this problem ( another good question beyond the scope of this is if asserts could be done "a priori" and not " a posteriori" ).

The assumption and the limitations is that the switch will forward all the traffic to the all the routers, including, for example, to an assert loser. 

Example 2. 

PIM messages and other multicast  routing protocol messages can be detected (snooping) and forwarded to all routers. 

Also snooping switches working between PIM routers could be configured in a different way that snooping switches working between IGMP routers and IGMP proxies or hosts.

I agree that this must not be changed with a serious group review

Regards

Alvaro

De: Gorry Fairhurst [mailto:[email-masked]]
Enviado el: mié 13/06/2007 8:54
Para: Alvaro Fernandez
CC: [email-masked]
Asunto: Re: [magma] RE: RFC 4541 Data forwarding in snooping switches

Gorry